Bug 73239 - Missing Euro currency for Estonia and Latvia
Summary: Missing Euro currency for Estonia and Latvia
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Eike Rathke
QA Contact:
URL:
Whiteboard: target:4.3.0 target:4.2.0.2 target:4.1.5
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-02 20:36 UTC by Eike Rathke
Modified: 2014-01-03 14:03 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Rathke 2014-01-02 20:36:48 UTC
Estonia adopted the Euro on 2011-01-01.
Latvia adopted the Euro on 2014-01-01.
Add to locale data and make default.
Also add to the Calc EUROCONVERT() spreadsheet function.
Comment 1 Commit Notification 2014-01-02 21:15:33 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=127f863c727c07f1da40005fe638d97e89baaccf

added Estonian "EEK" to EUROCONVERT(), fdo#73239



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2014-01-02 21:15:47 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c32996987354d045523beaa98b5d227d161f72fb

added EUR as default currency to Latvia [*-LV] locale data, fdo#73239



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2014-01-02 21:16:00 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cc1b6535e01db62688a7bee50852d33e4ee50761

added Latvian "LVL" to EUROCONVERT(), fdo#73239



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-01-02 21:18:20 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=852cc9597cbe0c0529f9d3187ac935a05f7ed885&h=libreoffice-4-2

added Estonian "EEK" to EUROCONVERT(), fdo#73239


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-01-02 21:18:35 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aa17477a731496d6b003517e2a9b92c9aac924ac&h=libreoffice-4-2

added EUR as default currency to Latvia [*-LV] locale data, fdo#73239


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-01-02 21:18:49 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5e5e8f48ac184bb0dd96a74c5bbc2108fd5b44d8&h=libreoffice-4-2

added Latvian "LVL" to EUROCONVERT(), fdo#73239


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Caolán McNamara 2014-01-02 21:40:59 UTC
Estonian was added to the euro wizard FWIW, but Latvian is still pending
Comment 8 Eike Rathke 2014-01-02 21:52:07 UTC
Pending review for 4-1 at https://gerrit.libreoffice.org/7263
Comment 9 Eike Rathke 2014-01-02 21:56:50 UTC
Argh, "wizards" ...
Comment 10 Commit Notification 2014-01-03 01:03:46 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5bf0a838e800605e95b5b03157bdf0780db497e6

added LVL Latvian Lats to Euro Converter, fdo#73239



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2014-01-03 12:12:34 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9742a6280e6a96336edce5054833fd83875b3b71&h=libreoffice-4-2

added LVL Latvian Lats to Euro Converter, fdo#73239


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 andis.lazdins 2014-01-03 12:18:22 UTC
The most recent version of LibreOffice recommended for production is 4.1.4 and there is still a lot of time until stable (for production) version of 4.2 will come out, but EUR is already official currency in Latvia. It would be very nice if this enhancement would be implemented also in 4.1 branch.
Comment 13 Eike Rathke 2014-01-03 12:54:03 UTC
Note that (as per comment 8) the changes to locale data and the EUROCONVERT() function are pending review for 4-1 at https://gerrit.libreoffice.org/7263 and if accepted should be available in 4.1.5

The change of the Euro Converter will not hit 4-1 branches as it introduces string resource changes that would need to be followed up by translation processes, which we usually don't do for micro version releases.
Comment 14 Commit Notification 2014-01-03 13:24:23 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9cf662e46b30f46bdbc473b0e605be8cfca1d4af

added EUR/EEK and EUR/LVL factors for internal CONVERT(), fdo#73239



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2014-01-03 13:39:12 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d3208b11f950861abafdce24364833579e68d22e&h=libreoffice-4-2

added EUR/EEK and EUR/LVL factors for internal CONVERT(), fdo#73239


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2014-01-03 14:03:22 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9ac100fc1eaea06ebd80c4009ac7ebc3aee6fd50&h=libreoffice-4-1

added "EEK" and "LVL" to EUROCONVERT(), "EUR" to [*-LV] locale data fdo#73239


It will be available in LibreOffice 4.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.